org.apache.tinkerpop.gremlin.hadoop.process.computer

## Class AbstractHadoopGraphComputer.Features

- java.lang.Object
- - org.apache.tinkerpop.gremlin.hadoop.process.computer.AbstractHadoopGraphComputer.Features

- All Implemented Interfaces:
    GraphComputer.Features
  Direct Known Subclasses:
    GiraphGraphComputer.Features
  Enclosing class:
    AbstractHadoopGraphComputer

      public class AbstractHadoopGraphComputer.Features
      extends Object
      implements GraphComputer.Features

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Features()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsDirectObjects()` Supports `VertexProgram` and `MapReduce` parameters to be direct referenced Java objects (no serialization required).
    `boolean` | `supportsEdgeAddition()`
    `boolean` | `supportsEdgePropertyAddition()`
    `boolean` | `supportsEdgePropertyRemoval()`
    `boolean` | `supportsEdgeRemoval()`
    `boolean` | `supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`
    `boolean` | `supportsVertexAddition()`
    `boolean` | `supportsVertexPropertyRemoval()`
    `boolean` | `supportsVertexRemoval()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.GraphComputer.Features

      `getMaxWorkers, supportsGlobalMessageScopes, supportsGraphFilter, supportsLocalMessageScopes, supportsVertexPropertyAddition`

- - ### Constructor Detail

    - #### Features

          public Features()

  - ### Method Detail

    - #### supportsVertexAddition

          public boolean supportsVertexAddition()

      Specified by:
        `supportsVertexAddition` in interface `GraphComputer.Features`

    - #### supportsVertexRemoval

          public boolean supportsVertexRemoval()

      Specified by:
        `supportsVertexRemoval` in interface `GraphComputer.Features`

    - #### supportsVertexPropertyRemoval

          public boolean supportsVertexPropertyRemoval()

      Specified by:
        `supportsVertexPropertyRemoval` in interface `GraphComputer.Features`

    - #### supportsEdgeAddition

          public boolean supportsEdgeAddition()

      Specified by:
        `supportsEdgeAddition` in interface `GraphComputer.Features`

    - #### supportsEdgeRemoval

          public boolean supportsEdgeRemoval()

      Specified by:
        `supportsEdgeRemoval` in interface `GraphComputer.Features`

    - #### supportsEdgePropertyAddition

          public boolean supportsEdgePropertyAddition()

      Specified by:
        `supportsEdgePropertyAddition` in interface `GraphComputer.Features`

    - #### supportsEdgePropertyRemoval

          public boolean supportsEdgePropertyRemoval()

      Specified by:
        `supportsEdgePropertyRemoval` in interface `GraphComputer.Features`

    - #### supportsResultGraphPersistCombination

          public boolean supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph,
                                                               GraphComputer.Persist persist)

      Specified by:
        `supportsResultGraphPersistCombination` in interface `GraphComputer.Features`

    - #### supportsDirectObjects

          public boolean supportsDirectObjects()

      Description copied from interface: `GraphComputer.Features`
      Supports `VertexProgram` and `MapReduce` parameters to be direct referenced Java objects (no serialization required). This is typically true for single machine graph computer engines. For cluster oriented graph computers, this is typically false.
      Specified by:
        `supportsDirectObjects` in interface `GraphComputer.Features`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.